%define altname Sablot

Name: sablotron
Version: 0.96
Release: alt2

Summary: XSLT processor
License: MPL/GPL
Group: Development/Other
Url: http://www.gingerall.cz
Source: http://download-2.gingerall.cz/download/sablot/%altname-%version.tar.bz2
Patch0: Sablot-0.96.1.patch

# Sablotron XSLT Extensions
%define BUILD_JS_EXT 0

Requires: lib%name = %version-%release  expat >= 1.95.1

BuildRequires: gcc-c++ libexpat-devel libstdc++-devel
BuildRequires: libexpat-devel >= 1.95.1

%if %BUILD_JS_EXT
BuildRequires: libjs-devel perl-devel
%endif

%description
Sablotron is a fast, compact and portable XML toolkit
implementing XSLT, DOM and XPath.

%package -n lib%name
Summary: The shared libraries for %name
Group: System/Libraries

%description -n lib%name
These are the shared libraries for %name

%package -n lib%name-devel
Summary: The development libraries and header files for %name
Group: Development/C++
Requires: lib%name = %version-%release

%description -n lib%name-devel
These are the development libraries and header files for %name

%package -n lib%name-devel-static
Requires: lib%name-devel = %version-%release
Summary: The static libraries for %name
Group: Development/C++

%description -n lib%name-devel-static
These are the static libraries for %name

%prep
%setup -n %altname-%version -q
%patch0 -p2

%build
%configure \
%if %BUILD_JS_EXT
    --enable-javascript \
    --enable-perlconnect
%endif

%make_build

%install
%makeinstall

%__chmod -x [A-Z]*

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%_bindir/sabcmd
%doc README* RELEASE

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.la
%_libdir/*.so
%_includedir/*.h

%files -n lib%name-devel-static
%_libdir/lib*.a

%changelog
* Tue Nov 05 2002 Rider <rider@altlinux.ru> 0.96-alt2
- Patch from gingerall.cz for gcc 3.2 build

* Mon Sep 16 2002 Rider <rider@altlinux.ru> 0.96-alt1
- 0.96

* Sun Aug 25 2002 Rider <rider@altlinux.ru> 0.95-alt1
- 0.95

* Tue Apr 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.90-alt2
- Right names and new splitting by packages.
- prepared for building with JS extension.

* Mon Apr 15 2002 Rider <rider@altlinux.ru> libsablotron-0.90-alt1
- 0.90

* Sat Feb 09 2002 Rider <rider@altlinux.ru> 0.82-alt1
- 0.82

* Thu Nov 08 2001 Rider <rider@altlinux.ru> 0.71-alt1
- 0.71

* Thu Jun 07 2001 Rider <rider@altlinux.ru>
- first build for ALT Linux

* Wed Apr 22 2001 Petr Cimprich <petr@gingerall.cz>
- sablotron 0.52 RPM release 1
- based on 0.51-5 spec by Henri Gomez

* Thu Feb 22 2001 Henri Gomez <hgomez@slib.fr>
- sablotron 0.51 RPM release 5
- apply patch to add -lexpat and -lstdc++ in libsablot.so
  REQUIRED for use with PHP4

* Thu Feb 22 2001 Henri Gomez <hgomez@slib.fr>
- sablotron 0.51 RPM release 4
- follow Redhat way to dispatch between pack and pack-devel

* Tue Feb 20 2001 Henri Gomez <hgomez@slib.fr>
- sablotron 0.51 RPM release 3
- added ldconfig is post/preun and cleanup stuff
- build under Redhat 6.2 + updates with rpm 3.0.5

* Mon Feb 19 2001 Henri Gomez <hgomez@slib.fr>
- sablotron 0.51 RPM release 2
- added Requires expat >= 1.95.1

* Mon Feb 19 2001 Henri Gomez <hgomez@slib.fr>
- sablotron 0.51 RPM release 1
- updated spec file

